### Method

# Gtk ColumnView set_row_factory

since: 4.12

#### Declaration [src]

    void
    gtk_column_view_set_row_factory (
      GtkColumnView* self,
      GtkListItemFactory* factory
    )

#### Description [src]

Sets the factory used for configuring rows. The factory must be for configuring `GtkColumnViewRow` objects.

If this factory is not set - which is the default - then the defaults will be used.

This factory is not used to set the widgets displayed in the individual cells. For that see `gtk_column_view_column_set_factory()` and `GtkColumnViewCell`.

Available since: 4.12

Sets property | `Gtk.ColumnView:row-factory`

#### Parameters

`factory`

  Type: `GtkListItemFactory`

  The row factory.

  The argument can be `NULL`.
  The data is owned by the caller of the method.